﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CopyCenter
{
    /// <summary>
    /// Логика взаимодействия для ServicesWindow.xaml
    /// </summary>
    public partial class ServicesWindow : Window
    {
        gr672_liiEntities db;
        public ServicesWindow()
        {
            InitializeComponent();
        }

        private void Exit_Click(object sender, RoutedEventArgs e)
        {
            MenuWindow mw = new MenuWindow();
            mw.Show();
            this.Close();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Service service = new Service();
            service.NameService = Name.Text;            
            service.PriceService = Convert.ToInt32(Price.Text);
            service.DescriptionService = Description.Text;
            service.idCategory = Convert.ToInt32(idCategory.Text);
            db.Service.Add(service);
            db.SaveChanges();
            ServicesList.ItemsSource = db.Service.ToList();
        }

        private void Update(object sender, RoutedEventArgs e)
        {
            var uRow = db.Service.Where(w => w.NameService == Name.Text).FirstOrDefault();
            uRow.NameService = Name.Text;
            uRow.PriceService = Convert.ToInt32(Price.Text);
            uRow.DescriptionService = Description.Text;
            uRow.idCategory = Convert.ToInt32(idCategory.Text);
            db.SaveChanges();
            ServicesList.ItemsSource = db.Service.ToList();
        }
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            
        }

        private void Delete(object sender, RoutedEventArgs e)
        {

        }
    }
}

